local gr, pi, down = love.graphics, math.pi, love.keyboard.isDown
local seven = require 'SevenSegment'

function love.load()
	love.window.setMode( 470, 300, { borderless = true } )
	gr.setBackgroundColor( 55, 0, 255 )
	seven.load()
	sz = 1
	cx,cy = 100,150
	end

function love.draw()
	seven.displayTime( h, m, s, sz, cx, cy )
	seven.displayNumber(msec, .4, 420,270 )
	end

function love.update( dt )
	h, m, s = seven.getTime()
	sz		= s / 30
	cx		= 235 - 100 * sz
	local t = love.timer.getTime()
	msec	= math.floor( 1000 * ( t - math.floor( t ) ) )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end

